package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrSafetyBrustMapper;
import com.ruoyi.project.pssr.domain.TPssrSafetyBrust;
import com.ruoyi.project.pssr.service.ITPssrSafetyBrustService;

/**
 * 安全设施-爆破片Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrSafetyBrustServiceImpl implements ITPssrSafetyBrustService
{
    @Autowired
    private TPssrSafetyBrustMapper tPssrSafetyBrustMapper;

    /**
     * 查询安全设施-爆破片
     *
     * @param id 安全设施-爆破片ID
     * @return 安全设施-爆破片
     */
    @Override
    public TPssrSafetyBrust selectTPssrSafetyBrustById(Long id)
    {
        return tPssrSafetyBrustMapper.selectTPssrSafetyBrustById(id);
    }

    /**
     * 查询安全设施-爆破片列表
     *
     * @param tPssrSafetyBrust 安全设施-爆破片
     * @return 安全设施-爆破片
     */
    @Override
    public List<TPssrSafetyBrust> selectTPssrSafetyBrustList(TPssrSafetyBrust tPssrSafetyBrust)
    {
        return tPssrSafetyBrustMapper.selectTPssrSafetyBrustList(tPssrSafetyBrust);
    }

    /**
     * 新增安全设施-爆破片
     *
     * @param tPssrSafetyBrust 安全设施-爆破片
     * @return 结果
     */
    @Override
    public int insertTPssrSafetyBrust(TPssrSafetyBrust tPssrSafetyBrust)
    {
        return tPssrSafetyBrustMapper.insertTPssrSafetyBrust(tPssrSafetyBrust);
    }

    /**
     * 修改安全设施-爆破片
     *
     * @param tPssrSafetyBrust 安全设施-爆破片
     * @return 结果
     */
    @Override
    public int updateTPssrSafetyBrust(TPssrSafetyBrust tPssrSafetyBrust)
    {
        return tPssrSafetyBrustMapper.updateTPssrSafetyBrust(tPssrSafetyBrust);
    }
    @Override
    public int updateAllBySubId(TPssrSafetyBrust tPssrSafetyBrust)
    {
        return tPssrSafetyBrustMapper.updateAllBySubId(tPssrSafetyBrust);
    }

    /**
     * 批量删除安全设施-爆破片
     *
     * @param ids 需要删除的安全设施-爆破片ID
     * @return 结果
     */
    @Override
    public int deleteTPssrSafetyBrustByIds(Long[] ids)
    {
        return tPssrSafetyBrustMapper.deleteTPssrSafetyBrustByIds(ids);
    }

    /**
     * 删除安全设施-爆破片信息
     *
     * @param id 安全设施-爆破片ID
     * @return 结果
     */
    @Override
    public int deleteTPssrSafetyBrustById(Long id)
    {
        return tPssrSafetyBrustMapper.deleteTPssrSafetyBrustById(id);
    }
}
